Skip to main content
POST
/
inventory
/
get_grouped_locations_map
Inventory - Get Grouped Locations Map
curl --request POST \
  --url https://api.skulabs.com/inventory/get_grouped_locations_map \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": {}
}'
[
  {
    "_id": "507f1f77bcf86cd799439011",
    "locations": [
      {
        "location_id": "<string>",
        "item_id": "<string>",
        "on_hand": 123,
        "alert": 123
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
data
object
required

Query data object

Response

Inventory grouped by location or element. Returns an array by default, or a map when result_type is "map".

_id
string
required

Group key (location_id or element_id depending on group_by)

Example:

"507f1f77bcf86cd799439011"

locations
object[]
required

Location entries in the group